import request from '@/utils/request'

// 查询打卡图片类型列表
export function listAppCheckImageType(query) {
  return request({
    url: '/model/AppCheckImageType/list',
    method: 'get',
    params: query
  })
}

// 查询打卡图片类型详细
export function getAppCheckImageType(checkImageTypeId) {
  return request({
    url: '/model/AppCheckImageType/' + checkImageTypeId,
    method: 'get'
  })
}

// 新增打卡图片类型
export function addAppCheckImageType(data) {
  return request({
    url: '/model/AppCheckImageType',
    method: 'post',
    data: data
  })
}

// 修改打卡图片类型
export function updateAppCheckImageType(data) {
  return request({
    url: '/model/AppCheckImageType',
    method: 'put',
    data: data
  })
}

// 删除打卡图片类型
export function delAppCheckImageType(checkImageTypeId) {
  return request({
    url: '/model/AppCheckImageType/' + checkImageTypeId,
    method: 'delete'
  })
}
